<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.lightinit.hsdataplatform.mapper.SolrserverMapper">
  <resultMap id="BaseResultMap" type="com.lightinit.hsdataplatform.entity.Solrserver">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    <id column="solrsid" jdbcType="BIGINT" property="solrsid" />
    <result column="solrcode" jdbcType="VARCHAR" property="solrcode" />
    <result column="solrname" jdbcType="VARCHAR" property="solrname" />
    <result column="solrip" jdbcType="VARCHAR" property="solrip" />
    <result column="solrservice" jdbcType="VARCHAR" property="solrservice" />
    <result column="solrentities" jdbcType="VARCHAR" property="solrentities" />
    <result column="addtime" jdbcType="TIMESTAMP" property="addtime" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    solrsid, solrcode, solrname, solrip, solrservice, solrentities, addtime
  </sql>
  <select id="selectByPrimaryKey" parameterType="java.lang.Long" resultMap="BaseResultMap">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select 
    <include refid="Base_Column_List" />
    from solrserver
    where solrsid = #{solrsid,jdbcType=BIGINT}
  </select>
  <select id="selectServer" resultMap="BaseResultMap">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    select
    <include refid="Base_Column_List" />
    from solrserver
    <if test="whereClause != null">
      where ${whereClause}
    </if>
  </select>
  <delete id="deleteByPrimaryKey" parameterType="java.lang.Long">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    delete from solrserver
    where solrsid = #{solrsid,jdbcType=BIGINT}
  </delete>
  <insert id="insert" parameterType="com.lightinit.hsdataplatform.entity.Solrserver">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into solrserver (solrsid, solrcode, solrname, 
      solrip, solrservice, solrentities, 
      addtime)
    values (#{solrsid,jdbcType=BIGINT}, #{solrcode,jdbcType=VARCHAR}, #{solrname,jdbcType=VARCHAR}, 
      #{solrip,jdbcType=VARCHAR}, #{solrservice,jdbcType=VARCHAR}, #{solrentities,jdbcType=VARCHAR}, 
      #{addtime,jdbcType=TIMESTAMP})
  </insert>
  <insert id="insertSelective" parameterType="com.lightinit.hsdataplatform.entity.Solrserver">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    insert into solrserver
    <trim prefix="(" suffix=")" suffixOverrides=",">
      <if test="solrsid != null">
        solrsid,
      </if>
      <if test="solrcode != null">
        solrcode,
      </if>
      <if test="solrname != null">
        solrname,
      </if>
      <if test="solrip != null">
        solrip,
      </if>
      <if test="solrservice != null">
        solrservice,
      </if>
      <if test="solrentities != null">
        solrentities,
      </if>
      <if test="addtime != null">
        addtime,
      </if>
    </trim>
    <trim prefix="values (" suffix=")" suffixOverrides=",">
      <if test="solrsid != null">
        #{solrsid,jdbcType=BIGINT},
      </if>
      <if test="solrcode != null">
        #{solrcode,jdbcType=VARCHAR},
      </if>
      <if test="solrname != null">
        #{solrname,jdbcType=VARCHAR},
      </if>
      <if test="solrip != null">
        #{solrip,jdbcType=VARCHAR},
      </if>
      <if test="solrservice != null">
        #{solrservice,jdbcType=VARCHAR},
      </if>
      <if test="solrentities != null">
        #{solrentities,jdbcType=VARCHAR},
      </if>
      <if test="addtime != null">
        #{addtime,jdbcType=TIMESTAMP},
      </if>
    </trim>
  </insert>
  <update id="updateByPrimaryKeySelective" parameterType="com.lightinit.hsdataplatform.entity.Solrserver">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update solrserver
    <set>
      <if test="solrcode != null">
        solrcode = #{solrcode,jdbcType=VARCHAR},
      </if>
      <if test="solrname != null">
        solrname = #{solrname,jdbcType=VARCHAR},
      </if>
      <if test="solrip != null">
        solrip = #{solrip,jdbcType=VARCHAR},
      </if>
      <if test="solrservice != null">
        solrservice = #{solrservice,jdbcType=VARCHAR},
      </if>
      <if test="solrentities != null">
        solrentities = #{solrentities,jdbcType=VARCHAR},
      </if>
      <if test="addtime != null">
        addtime = #{addtime,jdbcType=TIMESTAMP},
      </if>
    </set>
    where solrsid = #{solrsid,jdbcType=BIGINT}
  </update>
  <update id="updateByPrimaryKey" parameterType="com.lightinit.hsdataplatform.entity.Solrserver">
    <!--
      WARNING - @mbggenerated
      This element is automatically generated by MyBatis Generator, do not modify.
    -->
    update solrserver
    set solrcode = #{solrcode,jdbcType=VARCHAR},
      solrname = #{solrname,jdbcType=VARCHAR},
      solrip = #{solrip,jdbcType=VARCHAR},
      solrservice = #{solrservice,jdbcType=VARCHAR},
      solrentities = #{solrentities,jdbcType=VARCHAR},
      addtime = #{addtime,jdbcType=TIMESTAMP}
    where solrsid = #{solrsid,jdbcType=BIGINT}
  </update>
</mapper>